Index: INSTALL
===================================================================
--- INSTALL	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ INSTALL	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -7,5 +7,5 @@
 submission to the lfs-book or lfs-dev mailing lists, then you do not need this 
 document.  Instead, you need to read the LFS Editor's Manual.  See the LFS 
-website at http://www.linuxfromscratch.org for more information.
+website at https://www.linuxfromscratch.org for more information.
 
 -------------------------------------------------------------------------------
@@ -14,17 +14,17 @@
 
 * libxml2
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/libxml2.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/libxml2.html
 
 * libxslt
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/libxslt.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/libxslt.html
 
 * DocBook DTD 
-  - http://www.linuxfromscratch.org/blfs/view/svn/pst/xml.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/pst/xml.html
 
 * DocBook XSL Stylesheets 
-  - http://www.linuxfromscratch.org/blfs/view/svn/pst/docbook-xsl.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/pst/docbook-xsl.html
 
 * HTMLTidy
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/tidy-html5.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/tidy-html5.html
 
 ------------------------------------------------------------------------------- 
@@ -34,5 +34,5 @@
 
 * lynx
-  - http://www.linuxfromscratch.org/blfs/view/svn/basicnet/lynx.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/basicnet/lynx.html
 
 ------------------------------------------------------------------------------- 
@@ -42,6 +42,6 @@
 
 * JDK
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/openjdk.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/openjdk.html
 
 * FOP and JAI
-  - http://www.linuxfromscratch.org/blfs/view/svn/pst/fop.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/pst/fop.html
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter01/changelog.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -47,4 +47,42 @@
 
     <listitem>
+      <para>2021-04-26</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2812. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20210407. Addresses
+          <ulink url="&lfs-ticket-root;4722">#4722</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python3-3.9.4. Fixes
+          <ulink url="&lfs-ticket-root;4843">#4843</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.57.2. Fixes
+          <ulink url="&lfs-ticket-root;4846">#4846</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.11.16. Addresses
+          <ulink url="&lfs-ticket-root;4840">#4840</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to less-581. Fixes
+          <ulink url="&lfs-ticket-root;4849">#4849</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to file-5.40. Fixes
+          <ulink url="&lfs-ticket-root;4839">#4839</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-4.0.1. Fixes
+          <ulink url="&lfs-ticket-root;4845">#4845</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2021-04-22</para>
       <itemizedlist>
Index: chapter01/resources.xml
===================================================================
--- chapter01/resources.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter01/resources.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -68,5 +68,5 @@
     <para>For additional information on the packages, useful tips are
     available in the LFS Package Reference page located at <ulink
-    url="http://www.linuxfromscratch.org/~matthew/LFS-references.html"/>.</para>
+    url="https://www.linuxfromscratch.org/~matthew/LFS-references.html"/>.</para>
 
   </sect2>  -->
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter01/whatsnew.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -85,7 +85,7 @@
        <para>Expect-&expect-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>File-&file-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Findutils-&findutils-version;</para>
@@ -145,7 +145,7 @@
       <para>Kmod-&kmod-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Less-&less-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
@@ -181,7 +181,7 @@
       <para>Man-pages-&man-pages-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Meson-&meson-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>MPC-&mpc-version;</para>
@@ -214,7 +214,7 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Python-&python-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Readline-&readline-version;</para>
Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter03/introduction.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -61,5 +61,5 @@
       <para>For stable versions of the book, a tarball of all the needed files 
       can be downloaded from one of the LFS files mirrors listed at
-      <ulink url="http://www.linuxfromscratch.org/mirrors.html#files"/>.</para>
+      <ulink url="https://www.linuxfromscratch.org/mirrors.html#files"/>.</para>
     </listitem>
     <listitem>
Index: chapter08/pkgmgt.xml
===================================================================
--- chapter08/pkgmgt.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter08/pkgmgt.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -72,5 +72,25 @@
       use the new library version. You should not remove the previous
       libraries unless all the dependent packages are recompiled.</para>
-      </listitem> </itemizedlist>
+      </listitem>
+
+      <listitem> <para>If a package containing a shared library is updated,
+      and the name of library doesn't change, but the version number of the
+      library <emphasis role="bold">file</emphasis> decreases (for example,
+      the name of the library is kept named
+      <filename class='libraryfile'>libfoo.so.1</filename>,
+      but the name of library file is changed from
+      <filename class='libraryfile'>libfoo.so.1.25</filename> to
+      <filename class='libraryfile'>libfoo.so.1.24</filename>),
+      you should remove the library file from the previously installed version
+      (<filename class='libraryfile'>libfoo.so.1.25</filename> in the case).
+      Or, a <command>ldconfig</command> run (by yourself using a command
+      line, or by the installation of some package) will reset the symlink
+      <filename class='libraryfile'>libfoo.so.1</filename> to point to
+      the old library file because it seems having a <quote>newer</quote>
+      version, as its version number is larger.  This situation may happen if
+      you have to downgrade a package, or the package changes the versioning
+      scheme of library files suddenly.</para> </listitem>
+
+    </itemizedlist>
 
   </sect2>
Index: chapter08/python.xml
===================================================================
--- chapter08/python.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter08/python.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -89,5 +89,5 @@
 
     <para>Some tests requiring a network connection or additional packages are
-    skipped. The test named test_normalization is known to fail. For
+    skipped. The tests test_unicodedata and test_curses tests are known to fail. For
     more comprehensive results, the tests can be rerun when Python 3 is 
     reinstalled in BLFS.</para>
Index: chapter11/reboot.xml
===================================================================
--- chapter11/reboot.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ chapter11/reboot.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -25,4 +25,10 @@
     will allow you to easily view the BLFS book in one virtual terminal, while
     building packages in another.</para></listitem>
+
+    <listitem><para>The
+    <ulink url='&blfs-book;postlfs/make-ca.html'>make-ca</ulink> package
+    will allow you to set up local trusted anchor certificates, allowing
+    the system to verify SSL certificates provided by remote servers (for
+    example, a website using HTTPS).</para></listitem>
 
     <listitem><para>The <ulink
Index: general.ent
===================================================================
--- general.ent	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ general.ent	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -21,5 +21,5 @@
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY lfs-root        "https://rivendell.linuxfromscratch.org/">
+<!ENTITY lfs-root        "https://www.linuxfromscratch.org/">
 <!ENTITY blfs-root       "&lfs-root;blfs/">
 <!ENTITY blfs-book       "&blfs-root;view/&short-version;/">
@@ -39,5 +39,5 @@
 <!ENTITY erratad         "&lfs-root;lfs/errata/&generic-versiond;/">
 
-<!ENTITY lfs-ticket-root "http://wiki.linuxfromscratch.org/lfs/ticket/">
+<!ENTITY lfs-ticket-root "https://wiki.linuxfromscratch.org/lfs/ticket/">
 
 <!ENTITY anduin-sources  "http://anduin.linuxfromscratch.org/LFS">
Index: lfs-latest-git.php
===================================================================
--- lfs-latest-git.php	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ lfs-latest-git.php	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -381,8 +381,8 @@
    global $dirs;
 
-   $to      = "lfs-book@lists4.linuxfromscratch.org";
-   $from    = "bdubbs@rivendell.linuxfromscratch.org";
+   $to      = "lfs-book@lists.linuxfromscratch.org";
+   $from    = "bdubbs@linuxfromscratch.org";
    $subject = "LFS Package Currency Check - $date GMT";
-   $headers = "From: bdubbs@rivendell.linuxfromscratch.org";
+   $headers = "From: bdubbs@linuxfromscratch.org";
 
    $message = "Package         LFS      Upstream  Flag\n\n";
Index: packages.ent
===================================================================
--- packages.ent	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ packages.ent	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -58,8 +58,8 @@
 <!ENTITY bash-fin-sbu "1.6 SBU">
 
-<!ENTITY bc-version "3.3.4">
-<!ENTITY bc-size "228 KB">
+<!ENTITY bc-version "4.0.1">
+<!ENTITY bc-size "230 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "1b6dd492cc1f04e3df4d83493f362768">
+<!ENTITY bc-md5 "2e0906471bbde64d165a2f01aacd6e8a">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.7 MB">
@@ -180,8 +180,8 @@
 <!ENTITY expect-tmp-sbu "0.2 SBU">
 
-<!ENTITY file-version "5.39">
-<!ENTITY file-size "932 KB">
+<!ENTITY file-version "5.40">
+<!ENTITY file-size "981 KB">
 <!ENTITY file-url "https://astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "1c450306053622803a25647d88f80f25">
+<!ENTITY file-md5 "72540ea1cc8c6e1dee35d6100ec66589">
 <!ENTITY file-home "https://www.darwinsys.com/file/">
 <!ENTITY file-tmp-du "31 MB">
@@ -321,8 +321,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20210304">
-<!ENTITY iana-etc-size "578 KB">
+<!ENTITY iana-etc-version "20210407">
+<!ENTITY iana-etc-size "579 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "db2d94cf0d1115c0107ae2aed966dbee">
+<!ENTITY iana-etc-md5 "71c8c5c3f761e27a00c917bc14e765fd">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -377,8 +377,8 @@
 <!ENTITY kmod-fin-sbu "0.1 SBU">
 
-<!ENTITY less-version "563">
-<!ENTITY less-size "328 KB">
+<!ENTITY less-version "581">
+<!ENTITY less-size "341 KB">
 <!ENTITY less-url "https://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
-<!ENTITY less-md5 "1ee44fa71447a845f6eef5b3f38d2781">
+<!ENTITY less-md5 "6201df5b9dae2af9767fc220471471b3">
 <!ENTITY less-home "https://www.greenwoodsoftware.com/less/">
 <!ENTITY less-fin-du "4.1 MB">
@@ -427,10 +427,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "11">
-<!ENTITY linux-patch-version "10">
+<!ENTITY linux-patch-version "16">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "114,888 KB">
+<!ENTITY linux-size "114,893 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "a74b23a7d91e3d155062c71573d5381b">
+<!ENTITY linux-md5 "c7536df1e1e3d03621092d732c8a5b6e">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -482,8 +482,8 @@
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.57.1">
-<!ENTITY meson-size "1,806 KB">
+<!ENTITY meson-version "0.57.2">
+<!ENTITY meson-size "1,811 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "fbd744560351491892478a36a1586815">
+<!ENTITY meson-md5 "4a07b6d42d7a46a6b6e9604fae7da9aa">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "37 MB">
@@ -583,9 +583,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.9.2">
+<!ENTITY python-version "3.9.4">
 <!ENTITY python-minor "3.9">
-<!ENTITY python-size "18,477 KB">
+<!ENTITY python-size "18,458 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "f0dc9000312abeb16de4eccce9a870ab">
+<!ENTITY python-md5 "2a3dba5fc75b695c45cf1806156e1a97">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "374 MB">
@@ -594,6 +594,6 @@
 <!ENTITY python-fin-sbu "2.8 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "719cd64a4c5768b646b716df20229400">
-<!ENTITY python-docs-size "6,659 KB">
+<!ENTITY python-docs-md5 "a225c583da4533c5bf98ba3555f50c7b">
+<!ENTITY python-docs-size "6,672 KB">
 
 <!ENTITY readline-version "8.1">
@@ -711,11 +711,11 @@
 <!ENTITY util-linux-fin-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.2604">
+<!ENTITY vim-version "8.2.2813">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,084 KB">
+<!ENTITY vim-size "15,136 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "b9b50ddd0327cef5f1985b0222b8473f">
+<!ENTITY vim-md5 "9b67782bfedb874a39eed51be65e3310">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "208 MB">
Index: prologue/architecture.xml
===================================================================
--- prologue/architecture.xml	(revision feed564dfed717dfe6ce0386f6643d66e02f4d40)
+++ prologue/architecture.xml	(revision 2db19cb07a3792bcf9123d2c322136cce3f8f982)
@@ -45,5 +45,5 @@
 straightforward base Linux system. Some LFS/BLFS editors maintain a fork
 of LFS for multilib, which is accessible at <ulink
-url="http://www.linuxfromscratch.org/~thomas/multilib/index.html"/>. But it
+url="https://www.linuxfromscratch.org/~thomas/multilib/index.html"/>. But it
 is an advanced topic.</para>
 
